<?php 
/*******************************************************************************
 *  Get Started Notice
 *******************************************************************************/

add_action( 'wp_ajax_medical_coach_dismissed_notice_handler', 'medical_coach_ajax_notice_handler' );

/** * AJAX handler to record dismissible notice status. */
function medical_coach_ajax_notice_handler() {
    if ( isset( $_POST['type'] ) ) {
        $type = sanitize_text_field( wp_unslash( $_POST['type'] ) );
        update_option( 'dismissed-' . $type, TRUE );
    }
}

function medical_coach_admin_notice_deprecated_hook() {
        $current_screen = get_current_screen();
        if ($current_screen->id !== 'appearance_page_medical-coach-guide-page') {
        if ( ! get_option('dismissed-get_started', FALSE ) ) { ?>
            <div class="updated notice notice-get-started-class is-dismissible" data-notice="get_started">
                <div class="medical-coach-getting-started-notice clearfix">
                    <div class="medical-coach-theme-notice-content">
                        <h2 class="medical-coach-notice-h2">
                            <?php
                            echo esc_html__( 'Let\'s Create Your website With', 'medical-coach' ) . ' <strong>' . esc_html( wp_get_theme()->get('Name') ) . '</strong>';
                            ?>
                        </h2>
                        <span class="st-notification-wrapper">
                            <span class="st-notification-column-wrapper">
                                <span class="st-notification-column">
                                    <h2><?php echo esc_html('Feature Rich WordPress Theme','medical-coach'); ?></h2>
                                    <ul class="st-notification-column-list">
                                        <li><?php echo esc_html('Live Customize','medical-coach'); ?></li>
                                        <li><?php echo esc_html('Detailed theme Options','medical-coach'); ?></li>
                                        <li><?php echo esc_html('Cleanly Coded','medical-coach'); ?></li>
                                        <li><?php echo esc_html('Search Engine Friendly','medical-coach'); ?></li>
                                    </ul>
                                    <a href="<?php echo esc_url( admin_url( 'themes.php?page=medical-coach-guide-page' ) ); ?>" target="_blank" class="button-primary button"><?php echo esc_html('Theme Info','medical-coach'); ?></a>
                                </span>
                                <span class="st-notification-column">
                                    <h2><?php echo esc_html('Customize Your Website','medical-coach'); ?></h2>
                                    <ul>
                                        <li><a href="<?php echo esc_url( admin_url( 'customize.php' ) ) ?>" target="_blank" class="button button-primary"><?php echo esc_html('Customize','medical-coach'); ?></a></li>
                                        <li><a href="<?php echo esc_url( admin_url( 'widgets.php' ) ) ?>" class="button button-primary"><?php echo esc_html('Add Widgets','medical-coach'); ?></a></li>
                                        <li><a href="<?php echo esc_url( MEDICAL_COACH_SUPPORT_FREE ); ?>" target="_blank" class="button button-primary"><?php echo esc_html('Get Support','medical-coach'); ?></a> </li>
                                    </ul>
                                </span>
                                <span class="st-notification-column">
                                    <h2><?php echo esc_html('Get More Options','medical-coach'); ?></h2>
                                    <ul>
                                        <li><a href="<?php echo esc_url( MEDICAL_COACH_DEMO_PRO ); ?>" target="_blank" class="button button-primary"><?php echo esc_html('View Live Demo','medical-coach'); ?></a></li>
                                        <li><a href="<?php echo esc_url( MEDICAL_COACH_BUY_NOW ); ?>" class="button button-primary"><?php echo esc_html('Purchase Now','medical-coach'); ?></a></li>
                                        <li><a href="<?php echo esc_url( MEDICAL_COACH_DOCS_FREE ); ?>" target="_blank" class="button button-primary"><?php echo esc_html('Free Documentation','medical-coach'); ?></a> </li>
                                    </ul>
                                </span>
                            </span>
                        </span>

                        <style>
                        </style>
                    </div>
                </div>
            </div>
        <?php }
    }
}

add_action( 'admin_notices', 'medical_coach_admin_notice_deprecated_hook' );

function medical_coach_switch_theme_function () {
    delete_option('dismissed-get_started', FALSE );
}

add_action('after_switch_theme', 'medical_coach_switch_theme_function');